# $Revision: 1.47.2.5.2.11 $, $Date: 2004/12/09 16:46:42 $
Summary:	PNG library
Summary(de):	PNG-Library
Summary(fr):	Librarie PNG
Summary(pl):	Biblioteka PNG
Summary(tr):	PNG kitapl
Name:		libpng
Version:	1.0.18
Release:	1
Epoch:		2
License:	distributable
Group:		Libraries
Source0:	ftp://swrinde.nde.swri.edu/pub/png/src/%{name}-%{version}.tar.bz2
# Source0-md5:	801301aa23994837690a307688da0a9b
Patch0:		%{name}-opt.patch
Patch1:		%{name}-pngminus.patch
Patch2:		%{name}-badchunks.patch
Patch3:		%{name}-SONAME.patch
Patch4:		%{name}-libdirfix.patch
URL:		http://www.libpng.org/pub/png/libpng.html
BuildRequires:	zlib-devel
%ifarch amd64 ia64 ppc64 s390x sparc64
Provides:	libpng10.so.0()(64bit)
%else
Provides:	libpng10.so.0
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libpng2

%description
The PNG library is a collection of routines used to create and
manipulate PNG format graphics files. The PNG format was designed as a
replacement for GIF, with many improvements and extensions.

%description -l de
Die PNG-Library ist eine Sammlung von Routinen zum Erstellen und
Bearbeiten von Grafiken im PNG-Format. Das PNG-Format wurde als Ersatz
fr GIF entwickelt und enthlt viele Verbesserungen und Erweiterungen.

%description -l fr
La librairie PNG est un ensemble de routines utilises pour crer et
manipuler des fichiers graphiques au format PNG. Le format PNG a t
labor pour remplacer le GIF, avec de nombreuses amliorations et
extensions.

%description -l pl
Biblioteka PNG to zestaw funkcji uywanych do tworzenia i obrbki
plikw w formacie graficznym PNG. Format ten zosta stworzony jako
zamiennik dla formatu GIF, z wieloma ulepszeniami i rozszerzeniami.

%description -l tr
PNG kitapl, PNG formatndaki resim dosyalarn ilemeye ynelik
yordamlar ierir. PNG, GIF formatnn yerini almak zere tasarlanm
bir resim formatdr.

%package devel
Summary:	libpng header files
Summary(de):	Headers und statische Libraries
Summary(fr):	En-ttes et bibliothques statiques
Summary(pl):	Pliki nagwkowe libpng
Summary(tr):	Balk dosyalar ve statik kitaplklar
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	zlib-devel
Obsoletes:	libpng2-devel

%description devel
The header files and static libraries are only needed for development
of programs using the PNG library.

%description devel -l de
Die Header-Dateien und statischen Libraries werden nur zur Entwicklung
von Programmen mit der PNG-Library bentigt.

%description devel -l fr
Fichiers d'en-tete et les librairies qui sont requis seulement pour le
dveloppement avec la librairie PNG.

%description devel -l pl
W pakiecie tym znajduj si pliki nagwkowe, przeznaczone dla
programistw uywajcych biblioteki PNG.

%description devel -l tr
PNG kitapln kullanan programlar gelitirmek iin gereken
kitaplklar ve balk dosyalar.

%package static
Summary:	Static libpng libraries
Summary(pl):	Biblioteki statyczne libpng
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libraries.

%description static -l pl
Biblioteki statyczne.

%package progs
Summary:	libpng utility programs
Summary(pl):	Programy uytkowe libpng
Group:		Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description progs
This package contains utility programs to convert png files to and
from pnm files.

%description progs -l pl
Narzdzia do konwersji plikw png z lub do plikw pnm.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

ln -s scripts/makefile.linux ./Makefile

%build
%{__make} \
	prefix=%{_prefix} \
	LIBPATH=%{_libdir} \
	CC="%{__cc}" \
	OPT_FLAGS="%{rpmcflags}"

%{__make} -C contrib/pngminus -f makefile.std \
	LIBPATH=%{_libdir} \
	CC="%{__cc}" \
	OPT_FLAGS="%{rpmcflags} -I../.."

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{3,5}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	LIBPATH=%{_libdir} \
	MANPATH=%{_mandir}

install contrib/pngminus/{png2pnm,pnm2png} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ANNOUNCE CHANGES KNOWNBUG README
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/libpng10.so.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libpng*-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*
%{_pkgconfigdir}/libpng*.pc
%{_mandir}/man?/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pn*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpng.spec,v $
Revision 1.47.2.5.2.11  2004/12/09 16:46:42  hawk
- seems to work ok, release 1

Revision 1.47.2.5.2.10  2004/12/09 12:20:01  hawk
- HEAD merge: updated to 1.0.18, updated SONAME patch, removed obsolete
  alpha patch
- release 0.1, needs testing, NFY

Revision 1.47.2.5.2.9  2004/11/07 18:00:26  blues
- release 1.1 - seems to be working

Revision 1.47.2.5.2.8  2004/11/07 17:55:46  blues
- md5

Revision 1.47.2.5.2.7  2004/11/07 17:49:17  blues
- 1.0.17 from libpng1.spec

Revision 1.47.2.5.2.6  2004/08/06 10:31:13  qboosh
- added security patch (CAN-2004-0597, CAN-2004-0598, CAN-2004-0599)
- release 4 (untested)

Revision 1.47.2.5.2.5  2004/07/08 11:55:56  qboosh
- updated 16bit-overflow patch (CAN-2002-1363) to handle grayscale case too; release 3

Revision 1.47.2.5.2.4  2004/05/05 19:33:14  twittner
- added pngerror.patch (CAN-2004-0421) sent by Pawe Nogas
- rel. 2 STBR Ra security

Revision 1.47.2.5.2.3  2004/02/06 11:41:19  twittner
- md5

Revision 1.47.2.5.2.2  2003/07/11 12:01:45  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.47.2.5.2.1  2003/01/10 10:04:51  qboosh
- security update to 1.0.15 + 16bit-overflow patch from Debian
- updated SONAME patch, partial sync with libpng1.spec
- STBR to ra/updates/security

Revision 1.47.2.5  2002/08/18 12:23:45  blues
license fix

Revision 1.47.2.4  2002/07/18 21:04:15  kloczek
- added SONAME patch (back to library SOANME as sam as in 1.0.12),
- use proper CC,
- updated %files list.

Revision 1.47.2.3  2002/07/18 18:09:52  blues
- new doc

Revision 1.47.2.2  2002/07/18 17:58:05  kloczek
- updated to 1.0.14: importand security fix (fix some memory leaks and
  eliminates a vulnerability to buffer overflow in the progressive reader).

Revision 1.47.2.1  2002/01/02 16:16:58  kloczek
- release 2: libpng2{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.47  2001/06/10 14:32:13  kloczek
- updated to 1.0.12.

Revision 1.46  2001/05/07 16:19:18  kloczek
- release 3.

Revision 1.45  2001/04/30 16:05:21  kloczek
- added using %%{rpmcflags} macro.

Revision 1.44  2001/04/28 03:27:22  kloczek
- updated to 1.0.11,
- new Source url.

Revision 1.43  2001/03/31 22:58:54  misiek
1.0.10; stb

Revision 1.42  2001/02/23 04:49:09  kloczek
- release 3: new badchunks patch from SuSe 7.0 is back.

Revision 1.41  2001/02/06 04:04:17  kloczek
- release 2: added zlib-devel to Requires list in devel subpackage.

Revision 1.40  2001/02/01 16:04:02  kloczek
- adapterized and few cosmetics.

Revision 1.39  2001/02/01 14:44:52  misiek
1.0.9. stb

Revision 1.38  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.37  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.36  2000/12/14 21:00:42  kloczek
- make %%{debug} ready.

Revision 1.35  2000/12/14 16:39:15  baggins
- release 7
- fixed use of RPM_OPT_FLAGS

Revision 1.34  2000/12/12 18:40:25  kloczek
- relase 6: merge SuSe badchunks patch.

Revision 1.33  2000/11/22 15:32:00  kloczek
- release 5: revert MMX support on i586, i686 (seems not stable).

Revision 1.32  2000/11/18 22:55:11  kloczek
- release 4.

Revision 1.31  2000/11/17 17:46:57  bszx
- mmx is used on i586 and i686
- subpackage progs added

Revision 1.30  2000/10/19 03:17:33  kloczek
- release 3, Epoch 2.

Revision 1.29  2000/10/19 02:27:24  kloczek
- release 2: use new rpm automation.

Revision 1.28  2000/07/25 05:23:14  kloczek
- updated to 1.0.8.

Revision 1.27  2000/07/02 19:44:17  kloczek
- updated to 1.0.7.

Revision 1.26  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/06/07 03:14:18  kloczek
- spec adapterized.

Revision 1.24  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.22  2000/03/21 10:43:17  kloczek
- updated to 1.0.6.

Revision 1.21  1999/10/17 22:32:13  kloczek
- updated to 1.0.5.

Revision 1.20  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0.3-6]
- based on RH spec,
- pl translation by Wojtek lusarczyk <wojtek@shadow.eu.org>,
- package rewrited by: Micha Kuratczyk <kura@pld.org.pl>, Pawe Gajda
  <pagaj@shadow.eu.org>, Marcin Korzonek <mkorz@shadow.eu.org> and me.
